List all transfers on all wallets in an enterprise

Returns all the transfers without blockchain information (inputs, outputs, confirms). Use the coin specific route to annotate blockchain information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The enterprise ID

Query Params
coin
array of objects

Filter by coin

coin
date-time

Return transfers with a date that is greater than or equal to the given timestamp

date-time

Return transfers with a date that is less than the given timestamp

integer
1 to 500
Defaults to 25

Maximum number of results to return. If the result set is truncated, use the nextBatchPrevId value to get the next batch.

string

Return the next batch of results, based on the nextBatchPrevId value from the previous batch.

state
array of objects

The status of the transfer. • confirmed indicates the transaction is confirmed on chain. • failed indicates the transaction failed. initialized is the first state of a transaction and indicates the transaction is initialized. • pendingApproval indicates the transaction is initialized and pending approval. • rejected indicates the transaction was rejected by an approver. • removed indicates the transaction was reorganized from the mempool (it's still possible recieve confirmation in another block). • replaced indicates the transaction was replaced with a new transaction with higher fees. • signed indicates the transaction is signed and pending on-chain confirmation. • unconfirmed indicates the transaction is pending on-chain confirmation.

state
string
enum

Filter on sending or receiving Transfers

Allowed:
string
enum

Sorts by specified field, default sorting by heightId.

Allowed:
string
enum

Sorts order by field in specified sort direction, default ascending.

Allowed:
string

Filter for a transfer by one or more transfer ids

address
array of objects

Return transfers with elements in entries that have an address field set to this value

address
string

Return transfers with a matching 'txid'

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json